Bug Hunting Session
Bug 91864 - Crash when closing Writer after having cancelled control setup of a shape
Summary: Crash when closing Writer after having cancelled control setup of a shape
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: haveBacktrace
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-06-04 21:00 UTC by Julien Nabet
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
console+bt with debug symbols (9.93 KB, text/plain)
2015-06-04 21:00 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2015-06-04 21:00:57 UTC
Created attachment 116291 [details]
console+bt with debug symbols

On pc Debian x86-64 with master sources updated today, I had a crash after having done this:
- Open Writer with a brand new file
- Display Form controls (Menu View/toolbars/Form Controls)
- Click "Push button" and create one in the document
- Right click on the button and select "Control..."
- click Cancel
- close document
=> crash
Comment 1 Julien Nabet 2015-06-04 21:04:40 UTC
Michael: vclptr related?
Comment 2 Michael Meeks 2015-06-05 10:22:40 UTC
Interesting - Laszlo saw something like this when patching starmath - and didn't fix it ;-) I wrote a unit test & couldn't catch this; there is an easy hack around the symptom, but I'm more intrigued really ...
Comment 3 Commit Notification 2015-06-05 12:22:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f99f936326342566067c849fbf27867825b81cf

Resolves: tdf#91864 unset a dying childwindow as the active window

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-05 12:22:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=627b4a4a5a015bc12da61c5f106bc942154f7d12&h=libreoffice-5-0

Resolves: tdf#91864 unset a dying childwindow as the active window

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2015-06-06 11:56:51 UTC
With master sources updated today, I don't reproduce this.
Thank you Caolan for the fix.

Just for information but I don't think it's specific to this case, I've got this when I quit:
warn:legacy.osl:6306:1:include/cppuhelper/interfacecontainer.h:479: object is disposed
warn:legacy.osl:6306:1:include/cppuhelper/interfacecontainer.h:479: object is disposed
warn:legacy.osl:6306:1:include/cppuhelper/interfacecontainer.h:479: object is disposed
warn:legacy.osl:6306:1:svl/source/items/itempool.cxx:428: old secondary pool must be empty
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:legacy.tools:6306:1:basic/source/sbx/sbxobj.cxx:98: Object element with dangling parent
warn:tools.debug:6306:1:tools/source/debug/debug.cxx:297: no DbgTestSolarMutex function set
warn:sal.osl:6306:1:sal/osl/all/debugbase.cxx:116: unexpected number of 19SvxUnoTextRangeBase: 1; Expected: 0
warn:legacy.osl:6306:1:unotools/source/config/configmgr.cxx:168: OSL_ASSERT: items_.empty()